io.netty.handler.codec.mqtt

## Class MqttConnectVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttConnectVariableHeader

    public final class MqttConnectVariableHeader
    extends Object

Variable Header for the `MqttConnectMessage`

### Constructor Summary

Constructors
Constructor and Description
`MqttConnectVariableHeader(String name, int version, boolean hasUserName, boolean hasPassword, boolean isWillRetain, int willQos, boolean isWillFlag, boolean isCleanSession, int keepAliveTimeSeconds)`
`MqttConnectVariableHeader(String name, int version, boolean hasUserName, boolean hasPassword, boolean isWillRetain, int willQos, boolean isWillFlag, boolean isCleanSession, int keepAliveTimeSeconds, MqttProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasPassword()`
`boolean` `hasUserName()`
`boolean` `isCleanSession()`
`boolean` `isWillFlag()`
`boolean` `isWillRetain()`
`int` `keepAliveTimeSeconds()`
`String` `name()`
`MqttProperties` `properties()`
`String` `toString()`
`int` `version()`
`int` `willQos()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttConnectVariableHeader

    public MqttConnectVariableHeader(String name,
                                     int version,
                                     boolean hasUserName,
                                     boolean hasPassword,
                                     boolean isWillRetain,
                                     int willQos,
                                     boolean isWillFlag,
                                     boolean isCleanSession,
                                     int keepAliveTimeSeconds)

#### MqttConnectVariableHeader

    public MqttConnectVariableHeader(String name,
                                     int version,
                                     boolean hasUserName,
                                     boolean hasPassword,
                                     boolean isWillRetain,
                                     int willQos,
                                     boolean isWillFlag,
                                     boolean isCleanSession,
                                     int keepAliveTimeSeconds,
                                     MqttProperties properties)

### Method Detail

#### name

    public String name()

#### version

    public int version()

#### hasUserName

    public boolean hasUserName()

#### hasPassword

    public boolean hasPassword()

#### isWillRetain

    public boolean isWillRetain()

#### willQos

    public int willQos()

#### isWillFlag

    public boolean isWillFlag()

#### isCleanSession

    public boolean isCleanSession()

#### keepAliveTimeSeconds

    public int keepAliveTimeSeconds()

#### properties

    public MqttProperties properties()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`